import type { Appwrite, Models } from 'appwrite/types/sdk';
import type { AsyncEffectResult } from '../types';
export declare type Document<Model> = Model & Models.Document;
export declare type UseDocumentResult<Model> = AsyncEffectResult<Document<Model>>;
export default function useDocument<Model>(appwrite: Appwrite, collectionId: string, documentId: string): UseDocumentResult<Model>;
