import type { Appwrite } from 'appwrite/types/sdk';
import type { CloudFunction } from '../types';
export declare type UseFunctionResult<Data, ReturnData> = [CloudFunction<Data, ReturnData>, boolean, unknown];
export default function useFunction<Data, ReturnData>(appwrite: Appwrite, functionId: string): UseFunctionResult<Data, ReturnData>;
